# boost::numeric::ublas::vector_scalar_real_unary_functor< V > Struct Template Reference

Inherited by boost::numeric::ublas::vector_norm_1< V >, boost::numeric::ublas::vector_norm_2< V >, and boost::numeric::ublas::vector_norm_inf< V >.

List of all members.

## Public Types
typedef V::value_type | value_type
typedef type_traits < value_type >::real_type | real_type
typedef real_type | result_type

### template<class V>
struct boost::numeric::ublas::vector_scalar_real_unary_functor< V >